org.apache.http.conn

## Class HttpHostConnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.ConnectException
          - - org.apache.http.conn.HttpHostConnectException

- All Implemented Interfaces:
    Serializable

      public class HttpHostConnectException
      extends ConnectException

  A `ConnectException` that specifies the `HttpHost` that was being connected to.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpHostConnectException(org.apache.http.HttpHost host, ConnectException cause)` Deprecated. (4.3) use `HttpHostConnectException(java.io.IOException, org.apache.http.HttpHost, java.net.InetAddress...)`
    `HttpHostConnectException(IOException cause, org.apache.http.HttpHost host, InetAddress... remoteAddresses)` Creates a HttpHostConnectException based on original `IOException`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.HttpHost` | `getHost()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpHostConnectException

          @Deprecated
          public HttpHostConnectException(org.apache.http.HttpHost host,
                                             ConnectException cause)

      Deprecated. (4.3) use `HttpHostConnectException(java.io.IOException, org.apache.http.HttpHost, java.net.InetAddress...)`

    - #### HttpHostConnectException

          public HttpHostConnectException(IOException cause,
                                  org.apache.http.HttpHost host,
                                  InetAddress... remoteAddresses)

      Creates a HttpHostConnectException based on original `IOException`.
      Since:
        4.3

  - ### Method Detail

    - #### getHost

          public org.apache.http.HttpHost getHost()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.